FreeMat

- Main Page
- Related Pages

vtkOpenGLPolyDataMapper

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLPolyDataMapper is a subclass of vtkPolyDataMapper. vtkOpenGLPolyDataMapper is a geometric PolyDataMapper for the OpenGL rendering library.

To create an instance of class vtkOpenGLPolyDataMapper, simply invoke its constructor as follows

      obj = vtkOpenGLPolyDataMapper

# Methods

The class vtkOpenGLPolyDataMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLPolyDataMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLPolyDataMapper = obj.NewInstance ()`
- `vtkOpenGLPolyDataMapper = obj.SafeDownCast (vtkObject o)`
- `obj.RenderPiece (vtkRenderer ren, vtkActor a)` - Implement superclass render method.
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release.
- `int = obj.Draw (vtkRenderer ren, vtkActor a)` - Draw method for OpenGL.